<script setup>
import Header from './components/Header.vue'
import Login from './components/modals/Login.vue'
import { useUserStore } from './stores/userAuth.js';
const user = useUserStore();

</script>

<template>
  <div v-if="user.isLoggedIn===false">
    <Login />
  </div>
  <main v-if="user.isLoggedIn">
    <Header />
    <RouterView :key="$route.fullPath" />
  </main>
</template>

<style lang="less">
@import '@wikimedia/codex-design-tokens/dist/theme-wikimedia-ui-mixin-dark.less';
// Note: you must import the design tokens before importing the link mixin
@import ( reference ) '@wikimedia/codex-design-tokens/theme-wikimedia-ui.less';
@import ( reference ) '@wikimedia/codex/mixins/link.less';

.cdx-docs-link {
	.cdx-mixin-link();
}

body {
  @media ( prefers-color-scheme: dark ) {
    .cdx-mode-dark();

    // Following overrides should be able to be removed once T365270 is resolved.
    .cdx-table__table__sort-button {
        color: white;
    }

    a.edit {
      color: white !important;
    }
  }
}
</style>
